Subject: Slower startup using March (27.0.50) build in windows

From: Shuguang Sun <[email-masked]>
Date: Wed, 7 Mar 2018 00:20:14 +0800

Hi,

I built emacs 27 on 4th March, however, the startup gets slower than the
build on 4th Feb (which is camparable with the build in
https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-27/).
I'm sorry I don't know how to repeat it using "-q".

System: Windows 7

The same .emacs file;

Here is the message from 4th Feb build (GNU Emacs 27.0.50 (build 6,
x86_64-w64-mingw32) of 2018-02-04):
>>> start load .emacs: 0.140 sec <<<
>>> before custom-set-variables : 0.359 sec <<<
Loading image-file...done
Loading time...done
Loading completion...done
Loading elec-pair...done
Loading icomplete...done
Loading ido...done
Loading avoid...done
Loading savehist...done
Loading paren...done
>>> custom-set-variables time: 2.248 sec <<<
>>> frame-setting time: 2.263 sec <<<
‘epa-file’ already enabled
epa-file loaded
elpa initialized
>>> elpa time: 4.464 sec <<<

Below is the message from 4th March build.
1. It has a warning at the very begining. If start with -q, there will be
no such warning.
2. Actually there is nothing before " >>> start load .emacs: 2.575 sec <<<
", however, it still takes 2.574 sec.
3. The load time is longer than the 4th Feb build.

Symbol's value as variable is void: Info-default-directory-list [14 times]
>>> start load .emacs: 2.575 sec <<<
>>> before custom-set-variables : 2.903 sec <<<
Loading image-file...done
Loading time...done
Loading completion...done
Loading elec-pair...done
Loading icomplete...done
Loading ido...done
Loading avoid...done
Loading savehist...done
Loading paren...done
>>> custom-set-variables time: 8.333 sec <<<
>>> frame-setting time: 8.333 sec <<<
‘epa-file’ already enabled
epa-file loaded
elpa initialized
>>> elpa time: 9.394 sec <<<

The value of Info-default-directory-list at the very begining is
("%emacs_dir%/share/info/").